Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.script
Interface IPhpScriptContext

All Superinterfaces:
  IContext, Invocable

All Known Implementing Classes:
  PhpScriptContext, PhpSimpleHttpScriptContext

    public interface IPhpScriptContext

extends Invocable, IContext

Common methods for all PHP ScriptContexts

Author:
  jostb

Field Summary

Fields inherited from interface php.java.bridge.http.IContext
`ENGINE_SCOPE, GLOBAL_SCOPE, JAVA_BRIDGE, SERVLET, SERVLET_CONFIG, SERVLET_CONTEXT, SERVLET_REQUEST, SERVLET_RESPONSE`

Method Summary
`HttpProxy` | `getContinuation()` Get the php continuation
`java.io.Writer` | `getWriter()` Returns the Writer
`void` | `setContinuation(HttpProxy kont)` Set the php continuation
`void` | `setWriter(java.io.Writer writer)` Set the Writer

Methods inherited from interface php.java.bridge.Invocable
`call`

Methods inherited from interface php.java.bridge.http.IContext
`getAttribute, getAttribute, getAttributesScope, removeAttribute, setAttribute`

Method Detail

### getWriter

    java.io.Writer getWriter()

  Returns the Writer

  Specified by:
    `getWriter` in interface `IContext`
  Returns:
    The writer

### setWriter

    void setWriter(java.io.Writer writer)

  Set the Writer

  Parameters:
    `writer` - The writer

### setContinuation

    void setContinuation(HttpProxy kont)

  Set the php continuation

  Parameters:
    `kont` - The continuation.

### getContinuation

    HttpProxy getContinuation()

  Get the php continuation

  Returns:
    The HttpProxy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD